libzypp 17.38.15

span.h File Reference

Namespace routing for C++20 std::span. More...

`#include <cstddef>`
`#include <tcb/span.hpp>`

Go to the source code of this file.

## Namespaces
namespace | zyppng

## Detailed Description

Namespace routing for C++20 std::span.

Consumers must always include this header and use zyppng::span rather than tcb::span or std::span directly. This ensures a zero-touch migration to std::span once the compiler baseline supports it:

#include <zypp-core/ng/base/span.h>

void process( zyppng::span<const std::byte> data );

Do NOT include this header in legacy (non-ng/) code. Do NOT include <tcb/span.hpp> or directly.

Definition in file span.h.